Bug 339231 - RFE: Anaconda should set install source as perferred updates mirror
RFE: Anaconda should set install source as perferred updates mirror
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 01:33 EDT by Andrew Bartlett
Modified: 2014-03-13 15:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 15:34:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2007-10-19 01:33:53 EDT
Description of problem:
I just installed Debian, and noticed that the mirror I selected as a HTTP
install source became my default updates mirror.

I still have to configure this manually in Fedora

Version-Release number of selected component (if applicable):

anadonda-11.3.0.42-1

How reproducible:
Every time

Steps to Reproduce:
1. PXE boot into a HTTP install
2. Enter a local HTTP mirror
3. Finish install, run 'yum update'
  
Actual results:
Update from main, busy, expensive fedora mirror

Expected results:
Update from local, cheap fedora mirror used for the install

Additional info:
Debian does this very nicely.  Perhaps the install mirror should just be the
first choice, falling back to the others if unavailable or apparently stale (if
it only had the install tree, for example).
Comment 1 Jon Stanley 2008-04-23 16:30:09 EDT
Adding FutureFeature keyword to RFE's.
Comment 2 Chris Lumens 2009-11-17 10:38:17 EST
I think this RFE is mostly obsoleted by our use of the Fedora mirror manager system these days.  You should get the fastest (probably most local, though not guaranteed) mirror when you do an installation, and this behavior should carry over to the installed system.  Of course this might not be the same mirror as what's the fastest could change over time.
Comment 3 Andrew Bartlett 2009-11-17 22:40:00 EST
I agree that one important use case has been solved by the mirror manager, but this does not address in-network mirrors very well.
Comment 4 Alexander Todorov 2009-11-18 03:13:37 EST
This will not address private mirrors which are not managed by mirror manager or locations where those are not connected to the Internet.
Comment 5 Phil 2010-12-23 09:11:58 EST
Could anaconda check the updates path automatically?  i.e. search for "releases" and replace with updates/$releasever/$basearch?

so, if PXE install used repo=http://repo/pub/fedora/linux/releases/14/Fedora/i386/os then decipher the base URL (http://repo/pub/fedora/linux) and try to access updates and if possible releases/14/Everything.

At the college where I work we currently run Fedora as the distro of choice and can have up to 60+ clients needing the local repo.  In this case not having to break the default to make installation and updates work would IMO be a boon.  We feel it beneficial to keep the installation and user experience as standard as possible.

Note You need to log in before you can comment on or make changes to this bug.